Loading...
Searching...
No Matches
propertymap.hh File Reference
`#include <cstddef>`
`#include <iterator>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | Dune::PropertyMapTraits< PM >
struct | Dune::ReadablePropertyMapTag
| Tag for the category of readable property maps. More...
struct | Dune::WritablePropertyMapTag
| Tag for the category of writable property maps. More...
struct | Dune::ReadWritePropertyMapTag
| Tag for the category of readable and writable property maps. More...
struct | Dune::LvaluePropertyMapTag
| Tag for the category of lvalue property maps. More...
struct | Dune::PropertyMapTraits< T * >
struct | Dune::PropertyMapTraits< const T * >
struct | Dune::RAPropertyMapHelper< Reference, PropertyMap >
class | Dune::IteratorPropertyMap< RAI, IM, T, R >
| Adapter to turn a random access iterator into a property map. More...
class | Dune::AssociativePropertyMap< T >
| An adapter to turn an unique associative container into a property map. More...
class | Dune::ConstAssociativePropertyMap< T >
| An adaptor to turn an unique associative container into a property map. More...
struct | Dune::IdentityMap
| A property map that applies the identity function to integers. More...
struct | Dune::PropertyMapTypeSelector< T, C >
| Selector for the property map type. More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<class Reference, class PropertyMap, class Key>
Reference | Dune::get (const RAPropertyMapHelper< Reference, PropertyMap > &pmap, const Key &key)
template<class Reference, class PropertyMap, class Key, class Value>
void | Dune::put (const RAPropertyMapHelper< Reference, PropertyMap > &pmap, const Key &key, const Value &value)